GetNewReservationResponse (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: GetNewReservationResponse

Package org.apache.hadoop.yarn.api.protocolrecords

# Class GetNewReservationResponse

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.GetNewReservationResponse

@Public @Unstable public abstract class GetNewReservationResponse extends Object

The response sent by the `ResourceManager` to the client for a request to get a new `ReservationId` for submitting reservations.

Clients can submit an reservation with the returned `ReservationId`.

`ApplicationClientProtocol#getNewReservation(GetNewReservationRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetNewReservationResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract ReservationId`
  `getReservationId()`
  Get a new `ReservationId` to be used to submit a reservation.
  `static GetNewReservationResponse`
  `newInstance(ReservationId reservationId)`
  `abstract void`
  `setReservationId(ReservationId reservationId)`
  Set a new `ReservationId` to be used to submit a reservation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetNewReservationResponse

    public GetNewReservationResponse()

- ## Method Details

  - ### newInstance

    @Private @Unstable public static GetNewReservationResponse newInstance(ReservationId reservationId)

  - ### getReservationId

    @Public @Unstable public abstract ReservationId getReservationId()
    Get a new `ReservationId` to be used to submit a reservation.
    Returns:
      a `ReservationId` representing the unique id to identify a reservation with which it was submitted.

  - ### setReservationId

    @Private @Unstable public abstract void setReservationId(ReservationId reservationId)
    Set a new `ReservationId` to be used to submit a reservation.
    Parameters:
      `reservationId` - a `ReservationId` representing the unique id to identify a reservation with which it was submitted.